Merge remote-tracking branch 'origin/master' into graphic
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/io
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
77         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
78         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
79         $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
108         "$(DESTDIR)$(libsciio_la_etcdir)" \
109         "$(DESTDIR)$(libsciio_la_rootdir)" \
110         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
111 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
112 libsciio_algo_la_LIBADD =
113 am__objects_1 = libsciio_algo_la-getpidc.lo \
114         libsciio_algo_la-setenvc.lo libsciio_algo_la-systemc.lo \
115         libsciio_algo_la-getenvc.lo libsciio_algo_la-GetenvB.lo \
116         libsciio_algo_la-v2cuniterror.lo
117 am__objects_2 = v2unit.lo newsave.lo v2cunit.lo
118 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
119 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
120 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
121 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
122 libsciio_la_DEPENDENCIES = libsciio-algo.la
123 am__objects_3 = libsciio_la-sci_read4b.lo libsciio_la-sci_getio.lo \
124         libsciio_la-sci_readb.lo libsciio_la-sci_host.lo \
125         libsciio_la-sci_file.lo libsciio_la-sci_getenv.lo \
126         libsciio_la-sci_write.lo libsciio_la-sci_writeb.lo \
127         libsciio_la-sci_setenv.lo libsciio_la-gw_io.lo \
128         libsciio_la-sci_read.lo libsciio_la-sci_getpid.lo \
129         libsciio_la-sci_write4b.lo libsciio_la-sci_load.lo \
130         libsciio_la-sci_unix.lo libsciio_la-sci_save.lo
131 am__objects_4 = intwrite4b.lo intwritb.lo intwrite.lo intread4b.lo \
132         intread.lo intreadb.lo intfile.lo
133 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
134 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
135 libsciio_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
136         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
137         $(libsciio_la_LDFLAGS) $(LDFLAGS) -o $@
138 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
139 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
140 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
141 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
142 am__depfiles_maybe = depfiles
143 am__mv = mv -f
144 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
145         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
146 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
147         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
148         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
149 CCLD = $(CC)
150 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
151         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
152         $(LDFLAGS) -o $@
153 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
154 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
155         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
156 F77LD = $(F77)
157 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
158         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
159         $(LDFLAGS) -o $@
160 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
161 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
162 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
163         $(libsciio_la_sci_gateway_DATA)
164 ETAGS = etags
165 CTAGS = ctags
166 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
167 ACLOCAL = @ACLOCAL@
168 ALL_LINGUAS = @ALL_LINGUAS@
169 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
170 AMTAR = @AMTAR@
171 ANT = @ANT@
172 ANTLR = @ANTLR@
173 AR = @AR@
174 AUTOCONF = @AUTOCONF@
175 AUTOHEADER = @AUTOHEADER@
176 AUTOMAKE = @AUTOMAKE@
177 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
178 AWK = @AWK@
179 BATIK = @BATIK@
180 BLAS_LIBS = @BLAS_LIBS@
181 BSH = @BSH@
182 CC = @CC@
183 CCACHE = @CCACHE@
184 CCDEPMODE = @CCDEPMODE@
185 CFLAGS = @CFLAGS@
186 CHECKSTYLE = @CHECKSTYLE@
187 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
188 COMMONS_IO = @COMMONS_IO@
189 COMMONS_LOGGING = @COMMONS_LOGGING@
190 CPP = @CPP@
191 CPPFLAGS = @CPPFLAGS@
192 CXX = @CXX@
193 CXXCPP = @CXXCPP@
194 CXXDEPMODE = @CXXDEPMODE@
195 CXXFLAGS = @CXXFLAGS@
196 CYGPATH_W = @CYGPATH_W@
197 DEFS = @DEFS@
198 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
199 DEPDIR = @DEPDIR@
200 DOCBOOK_ROOT = @DOCBOOK_ROOT@
201 DSYMUTIL = @DSYMUTIL@
202 DUMPBIN = @DUMPBIN@
203 ECHO_C = @ECHO_C@
204 ECHO_N = @ECHO_N@
205 ECHO_T = @ECHO_T@
206 EGREP = @EGREP@
207 EXEEXT = @EXEEXT@
208 F77 = @F77@
209 FFLAGS = @FFLAGS@
210 FFTW3_LIB = @FFTW3_LIB@
211 FFTW_ENABLE = @FFTW_ENABLE@
212 FGREP = @FGREP@
213 FLEXDOCK = @FLEXDOCK@
214 FLIBS = @FLIBS@
215 FOP = @FOP@
216 GENHTML = @GENHTML@
217 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
218 GIWS_BIN = @GIWS_BIN@
219 GLUEGEN_RT = @GLUEGEN_RT@
220 GMSGFMT = @GMSGFMT@
221 GMSGFMT_015 = @GMSGFMT_015@
222 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
223 GREP = @GREP@
224 GUI_ENABLE = @GUI_ENABLE@
225 HDF5_CFLAGS = @HDF5_CFLAGS@
226 HDF5_ENABLE = @HDF5_ENABLE@
227 HDF5_LIBS = @HDF5_LIBS@
228 HELP_ENABLE = @HELP_ENABLE@
229 INSTALL = @INSTALL@
230 INSTALL_DATA = @INSTALL_DATA@
231 INSTALL_PROGRAM = @INSTALL_PROGRAM@
232 INSTALL_SCRIPT = @INSTALL_SCRIPT@
233 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
234 INTLLIBS = @INTLLIBS@
235 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
236 JAR = @JAR@
237 JAVA = @JAVA@
238 JAVAC = @JAVAC@
239 JAVAC_DEBUG = @JAVAC_DEBUG@
240 JAVADOC = @JAVADOC@
241 JAVAH = @JAVAH@
242 JAVASCI_ENABLE = @JAVASCI_ENABLE@
243 JAVA_ENABLE = @JAVA_ENABLE@
244 JAVA_G = @JAVA_G@
245 JAVA_HOME = @JAVA_HOME@
246 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
247 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
248 JDB = @JDB@
249 JEUCLID_CORE = @JEUCLID_CORE@
250 JGRAPHX = @JGRAPHX@
251 JHALL = @JHALL@
252 JHDF5 = @JHDF5@
253 JLATEXMATH = @JLATEXMATH@
254 JLATEXMATH_FOP = @JLATEXMATH_FOP@
255 JOGL = @JOGL@
256 JROSETTA_API = @JROSETTA_API@
257 JROSETTA_ENGINE = @JROSETTA_ENGINE@
258 JUNIT = @JUNIT@
259 LAPACK_LIBS = @LAPACK_LIBS@
260 LCOV = @LCOV@
261 LD = @LD@
262 LDFLAGS = @LDFLAGS@
263 LIBICONV = @LIBICONV@
264 LIBINTL = @LIBINTL@
265 LIBM = @LIBM@
266 LIBOBJS = @LIBOBJS@
267 LIBS = @LIBS@
268 LIBTOOL = @LIBTOOL@
269 LIPO = @LIPO@
270 LN_S = @LN_S@
271 LOGGING_LEVEL = @LOGGING_LEVEL@
272 LOOKS = @LOOKS@
273 LTLIBICONV = @LTLIBICONV@
274 LTLIBINTL = @LTLIBINTL@
275 LTLIBOBJS = @LTLIBOBJS@
276 MAINT = @MAINT@
277 MAKEINFO = @MAKEINFO@
278 MATIO_CFLAGS = @MATIO_CFLAGS@
279 MATIO_ENABLE = @MATIO_ENABLE@
280 MATIO_LIBS = @MATIO_LIBS@
281 MKDIR_P = @MKDIR_P@
282 MSGCAT = @MSGCAT@
283 MSGFMT = @MSGFMT@
284 MSGFMT_015 = @MSGFMT_015@
285 MSGMERGE = @MSGMERGE@
286 NM = @NM@
287 NMEDIT = @NMEDIT@
288 OBJDUMP = @OBJDUMP@
289 OBJEXT = @OBJEXT@
290 OCAMLC = @OCAMLC@
291 OCAMLDEP = @OCAMLDEP@
292 OCAMLLEX = @OCAMLLEX@
293 OCAMLOPT = @OCAMLOPT@
294 OCAMLYACC = @OCAMLYACC@
295 OPENMP_CFLAGS = @OPENMP_CFLAGS@
296 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
297 OPENMP_ENABLE = @OPENMP_ENABLE@
298 OPENMP_LIBS = @OPENMP_LIBS@
299 OTOOL = @OTOOL@
300 OTOOL64 = @OTOOL64@
301 PACKAGE = @PACKAGE@
302 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
303 PACKAGE_NAME = @PACKAGE_NAME@
304 PACKAGE_STRING = @PACKAGE_STRING@
305 PACKAGE_TARNAME = @PACKAGE_TARNAME@
306 PACKAGE_URL = @PACKAGE_URL@
307 PACKAGE_VERSION = @PACKAGE_VERSION@
308 PATH_SEPARATOR = @PATH_SEPARATOR@
309 PCRE_CFLAGS = @PCRE_CFLAGS@
310 PCRE_CONFIG = @PCRE_CONFIG@
311 PCRE_LIBS = @PCRE_LIBS@
312 PCRE_VERSION = @PCRE_VERSION@
313 PKG_CONFIG = @PKG_CONFIG@
314 POSUB = @POSUB@
315 POW_LIB = @POW_LIB@
316 PYTHON = @PYTHON@
317 QDOX = @QDOX@
318 RANLIB = @RANLIB@
319 RELOCATABLE = @RELOCATABLE@
320 RT_LIB = @RT_LIB@
321 SAXON = @SAXON@
322 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
323 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
324 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
325 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
326 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
327 SCIRENDERER = @SCIRENDERER@
328 SED = @SED@
329 SET_MAKE = @SET_MAKE@
330 SET_RELOCATABLE = @SET_RELOCATABLE@
331 SHELL = @SHELL@
332 SKINLF = @SKINLF@
333 SPLINT = @SPLINT@
334 STRIP = @STRIP@
335 SWIG_BIN = @SWIG_BIN@
336 SWIG_JAVA = @SWIG_JAVA@
337 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
338 TCLTK_LIBS = @TCLTK_LIBS@
339 TCL_INC_PATH = @TCL_INC_PATH@
340 TESTNG = @TESTNG@
341 TK_INC_PATH = @TK_INC_PATH@
342 UMFPACK_ENABLE = @UMFPACK_ENABLE@
343 UMFPACK_LIB = @UMFPACK_LIB@
344 USE_NLS = @USE_NLS@
345 VERSION = @VERSION@
346 WITH_OCAML = @WITH_OCAML@
347 WITH_TKSCI = @WITH_TKSCI@
348 XCOS_ENABLE = @XCOS_ENABLE@
349 XGETTEXT = @XGETTEXT@
350 XGETTEXT_015 = @XGETTEXT_015@
351 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
352 XMKMF = @XMKMF@
353 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
354 XML_APIS_EXT = @XML_APIS_EXT@
355 XML_CONFIG = @XML_CONFIG@
356 XML_FLAGS = @XML_FLAGS@
357 XML_LIBS = @XML_LIBS@
358 XML_VERSION = @XML_VERSION@
359 X_CFLAGS = @X_CFLAGS@
360 X_EXTRA_LIBS = @X_EXTRA_LIBS@
361 X_LIBS = @X_LIBS@
362 X_PRE_LIBS = @X_PRE_LIBS@
363 abs_builddir = @abs_builddir@
364 abs_srcdir = @abs_srcdir@
365 abs_top_builddir = @abs_top_builddir@
366 abs_top_srcdir = @abs_top_srcdir@
367 ac_ct_CC = @ac_ct_CC@
368 ac_ct_CXX = @ac_ct_CXX@
369 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
370 ac_ct_F77 = @ac_ct_F77@
371 am__include = @am__include@
372 am__leading_dot = @am__leading_dot@
373 am__quote = @am__quote@
374 am__tar = @am__tar@
375 am__untar = @am__untar@
376 bindir = @bindir@
377 build = @build@
378 build_alias = @build_alias@
379 build_cpu = @build_cpu@
380 build_os = @build_os@
381 build_vendor = @build_vendor@
382 builddir = @builddir@
383 cxx_present = @cxx_present@
384 datadir = @datadir@
385 datarootdir = @datarootdir@
386 docdir = @docdir@
387 dvidir = @dvidir@
388 exec_prefix = @exec_prefix@
389 host = @host@
390 host_alias = @host_alias@
391 host_cpu = @host_cpu@
392 host_os = @host_os@
393 host_vendor = @host_vendor@
394 htmldir = @htmldir@
395 includedir = @includedir@
396 infodir = @infodir@
397 install_sh = @install_sh@
398 libdir = @libdir@
399 libexecdir = @libexecdir@
400 localedir = @localedir@
401 localstatedir = @localstatedir@
402 mandir = @mandir@
403 mkdir_p = @mkdir_p@
404 oldincludedir = @oldincludedir@
405 pdfdir = @pdfdir@
406 prefix = @prefix@
407 program_transform_name = @program_transform_name@
408 psdir = @psdir@
409 sbindir = @sbindir@
410 sharedstatedir = @sharedstatedir@
411 srcdir = @srcdir@
412 sysconfdir = @sysconfdir@
413 target_alias = @target_alias@
414 top_build_prefix = @top_build_prefix@
415 top_builddir = @top_builddir@
416 top_srcdir = @top_srcdir@
417 IO_C_SOURCES = src/c/getpidc.c \
418 src/c/setenvc.c \
419 src/c/systemc.c \
420 src/c/getenvc.c \
421 src/c/GetenvB.c \
422 src/c/v2cuniterror.c
423
424 IO_FORTRAN_SOURCES = src/fortran/v2unit.f \
425 src/fortran/newsave.f \
426 src/fortran/v2cunit.f
427
428 GATEWAY_C_SOURCES = sci_gateway/c/sci_read4b.c \
429 sci_gateway/c/sci_getio.c \
430 sci_gateway/c/sci_readb.c \
431 sci_gateway/c/sci_host.c \
432 sci_gateway/c/sci_file.c \
433 sci_gateway/c/sci_getenv.c \
434 sci_gateway/c/sci_write.c \
435 sci_gateway/c/sci_writeb.c \
436 sci_gateway/c/sci_setenv.c \
437 sci_gateway/c/gw_io.c \
438 sci_gateway/c/sci_read.c \
439 sci_gateway/c/sci_getpid.c \
440 sci_gateway/c/sci_write4b.c \
441 sci_gateway/c/sci_load.c \
442 sci_gateway/c/sci_unix.c \
443 sci_gateway/c/sci_save.c
444
445 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intwrite4b.f \
446 sci_gateway/fortran/intwritb.f \
447 sci_gateway/fortran/intwrite.f \
448 sci_gateway/fortran/intread4b.f \
449 sci_gateway/fortran/intread.f \
450 sci_gateway/fortran/intreadb.f \
451 sci_gateway/fortran/intfile.f
452
453 libsciio_la_CFLAGS = -I$(srcdir)/includes/ \
454                         -I$(srcdir)/src/c/ \
455                         -I$(top_srcdir)/libs/MALLOC/includes/ \
456                         -I$(top_srcdir)/modules/fileio/includes/ \
457                         -I$(top_srcdir)/modules/api_scilab/includes/ \
458                         -I$(top_srcdir)/modules/output_stream/includes/
459
460 libsciio_la_CPPFLAGS = -I$(srcdir)/includes/ \
461                         -I$(top_srcdir)/modules/core/includes/ \
462                         -I$(top_srcdir)/modules/api_scilab/includes \
463                         -I$(top_srcdir)/modules/output_stream/includes/
464
465 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
466 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
467 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
468 libsciio_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
469 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_FORTRAN_SOURCES)
470 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
471 libsciio_algo_la_CFLAGS = $(libsciio_la_CFLAGS)
472
473 # For the code check (splint)
474 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
475 INCLUDE_FLAGS = $(libsciio_la_CFLAGS)
476 libsciio_la_LIBADD = libsciio-algo.la
477
478 #### Target ######
479 modulename = io
480
481 #### io : Conf files ####
482 libsciio_la_rootdir = $(mydatadir)
483 libsciio_la_root_DATA = license.txt 
484
485 ####io : init scripts ####
486 libsciio_la_etcdir = $(mydatadir)/etc
487 libsciio_la_etc_DATA = etc/io.quit etc/io.start
488
489 ####io : gateway declaration ####
490 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
491 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
492
493 # Where all the Scilab stuff is installed (macros, help, ...)
494 mydatadir = $(pkgdatadir)/modules/$(modulename)
495
496 # splint options
497 SPLINT_OPTIONS = -weak -booltype BOOL
498
499 ########################### JAVA ######################################
500 #### We are delegating java compilation to ant... Thanks to that
501 #### the procedure will be the same with Microsoft Windows (C)
502 #### and Linux/Unix
503 #######################################################################
504 TARGETS_ALL = $(am__append_1)
505
506 ################ MACROS ######################
507 # Rule to build a macro
508 # NOT USED  AT THE MOMENT
509 SUFFIXES = .sci 
510
511 ########### INSTALL DOCUMENTATION ###################
512
513 # Install documentation files into the right target
514 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
515 # automake needs the html files to be present which is not the case when
516 # we are building Scilab
517
518 # Where it should be installed
519 pkgdocdir = $(mydatadir)
520
521 # What is the mask of the help source
522 DOCMASKXML = *.xml
523
524 # What is the mask of the MathML sources
525 DOCMASKMML = *.mml
526
527 ########### INSTALL DATA ###################
528 # Install macros, help & demos
529 # Where it should be installed
530 pkgmacrosdir = $(mydatadir)
531 # Which directory we process
532 MACRODIRS = macros/
533 # Mask of the Scilab sources macros
534 MACROMASK = *.sci
535 # Mask of the Scilab executable sources macros
536 MACROBUILDMASK = *.sce
537 # Mask of the Scilab compiled macros
538 MACROBINMASK = *.bin
539 # List of the standard directory for tests
540 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
541 # Where the demos should be installed
542 pkgdemosdir = $(mydatadir)
543 # List of the standard directory for demos
544 DEMOS_DIR = demos
545 # List of the standard directory for examples
546 EXAMPLES_DIR = examples
547 # Where to export JAVA archives (.jar)
548 JARDIR = jar/
549 # JAR files mask
550 JARMASK = *.jar
551 # Chapter file 
552 HELP_CHAPTERDIR = help/
553 HELP_CHAPTERFILE = addchapter.sce
554 HELP_CHAPTERLANG = en_US fr_FR pt_BR
555 all: all-am
556
557 .SUFFIXES:
558 .SUFFIXES: .sci .bin .c .f .lo .o .obj
559 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
560         @for dep in $?; do \
561           case '$(am__configure_deps)' in \
562             *$$dep*) \
563               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
564                 && { if test -f $@; then exit 0; else break; fi; }; \
565               exit 1;; \
566           esac; \
567         done; \
568         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
569         $(am__cd) $(top_srcdir) && \
570           $(AUTOMAKE) --foreign modules/io/Makefile
571 .PRECIOUS: Makefile
572 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
573         @case '$?' in \
574           *config.status*) \
575             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
576           *) \
577             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
578             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
579         esac;
580
581 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
582         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
583
584 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
585         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
586 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
587         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
588 $(am__aclocal_m4_deps):
589
590 clean-noinstLTLIBRARIES:
591         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
592         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
593           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
594           test "$$dir" != "$$p" || dir=.; \
595           echo "rm -f \"$${dir}/so_locations\""; \
596           rm -f "$${dir}/so_locations"; \
597         done
598 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
599         @$(NORMAL_INSTALL)
600         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
601         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
602         list2=; for p in $$list; do \
603           if test -f $$p; then \
604             list2="$$list2 $$p"; \
605           else :; fi; \
606         done; \
607         test -z "$$list2" || { \
608           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
609           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
610         }
611
612 uninstall-pkglibLTLIBRARIES:
613         @$(NORMAL_UNINSTALL)
614         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
615         for p in $$list; do \
616           $(am__strip_dir) \
617           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
618           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
619         done
620
621 clean-pkglibLTLIBRARIES:
622         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
623         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
624           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
625           test "$$dir" != "$$p" || dir=.; \
626           echo "rm -f \"$${dir}/so_locations\""; \
627           rm -f "$${dir}/so_locations"; \
628         done
629 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) 
630         $(F77LINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
631 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) 
632         $(libsciio_la_LINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
633
634 mostlyclean-compile:
635         -rm -f *.$(OBJEXT)
636
637 distclean-compile:
638         -rm -f *.tab.c
639
640 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-GetenvB.Plo@am__quote@
641 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
642 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
645 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-gw_io.Plo@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_load.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_save.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
662
663 .c.o:
664 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
665 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
669
670 .c.obj:
671 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
672 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
676
677 .c.lo:
678 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
679 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
683
684 libsciio_algo_la-getpidc.lo: src/c/getpidc.c
685 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getpidc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
686 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getpidc.Tpo $(DEPDIR)/libsciio_algo_la-getpidc.Plo
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getpidc.c' object='libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
690
691 libsciio_algo_la-setenvc.lo: src/c/setenvc.c
692 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-setenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
693 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-setenvc.Tpo $(DEPDIR)/libsciio_algo_la-setenvc.Plo
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/setenvc.c' object='libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
697
698 libsciio_algo_la-systemc.lo: src/c/systemc.c
699 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-systemc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
700 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-systemc.Tpo $(DEPDIR)/libsciio_algo_la-systemc.Plo
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/systemc.c' object='libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
704
705 libsciio_algo_la-getenvc.lo: src/c/getenvc.c
706 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
707 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getenvc.Tpo $(DEPDIR)/libsciio_algo_la-getenvc.Plo
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getenvc.c' object='libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
711
712 libsciio_algo_la-GetenvB.lo: src/c/GetenvB.c
713 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-GetenvB.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
714 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo $(DEPDIR)/libsciio_algo_la-GetenvB.Plo
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/GetenvB.c' object='libsciio_algo_la-GetenvB.lo' libtool=yes @AMDEPBACKSLASH@
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
718
719 libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
720 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-v2cuniterror.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
721 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo $(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/v2cuniterror.c' object='libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
724 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
725
726 libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
727 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
728 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read4b.Tpo $(DEPDIR)/libsciio_la-sci_read4b.Plo
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read4b.c' object='libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
731 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
732
733 libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
734 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getio.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
735 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getio.Tpo $(DEPDIR)/libsciio_la-sci_getio.Plo
736 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getio.c' object='libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
739
740 libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
741 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_readb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
742 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_readb.Tpo $(DEPDIR)/libsciio_la-sci_readb.Plo
743 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_readb.c' object='libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
746
747 libsciio_la-sci_host.lo: sci_gateway/c/sci_host.c
748 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_host.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_host.Tpo -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
749 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_host.Tpo $(DEPDIR)/libsciio_la-sci_host.Plo
750 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_host.c' object='libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
753
754 libsciio_la-sci_file.lo: sci_gateway/c/sci_file.c
755 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_file.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_file.Tpo -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
756 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_file.Tpo $(DEPDIR)/libsciio_la-sci_file.Plo
757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_file.c' object='libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
759 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
760
761 libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
762 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
763 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getenv.Tpo $(DEPDIR)/libsciio_la-sci_getenv.Plo
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getenv.c' object='libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
767
768 libsciio_la-sci_write.lo: sci_gateway/c/sci_write.c
769 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write.Tpo -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
770 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write.Tpo $(DEPDIR)/libsciio_la-sci_write.Plo
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write.c' object='libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
774
775 libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
776 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_writeb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
777 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_writeb.Tpo $(DEPDIR)/libsciio_la-sci_writeb.Plo
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_writeb.c' object='libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
781
782 libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
783 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_setenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
784 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_setenv.Tpo $(DEPDIR)/libsciio_la-sci_setenv.Plo
785 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_setenv.c' object='libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
787 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
788
789 libsciio_la-gw_io.lo: sci_gateway/c/gw_io.c
790 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-gw_io.lo -MD -MP -MF $(DEPDIR)/libsciio_la-gw_io.Tpo -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
791 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-gw_io.Tpo $(DEPDIR)/libsciio_la-gw_io.Plo
792 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_io.c' object='libsciio_la-gw_io.lo' libtool=yes @AMDEPBACKSLASH@
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
795
796 libsciio_la-sci_read.lo: sci_gateway/c/sci_read.c
797 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read.Tpo -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
798 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read.Tpo $(DEPDIR)/libsciio_la-sci_read.Plo
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read.c' object='libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
802
803 libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
804 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getpid.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
805 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getpid.Tpo $(DEPDIR)/libsciio_la-sci_getpid.Plo
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getpid.c' object='libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
809
810 libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
811 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
812 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write4b.Tpo $(DEPDIR)/libsciio_la-sci_write4b.Plo
813 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write4b.c' object='libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
816
817 libsciio_la-sci_load.lo: sci_gateway/c/sci_load.c
818 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_load.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_load.Tpo -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
819 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_load.Tpo $(DEPDIR)/libsciio_la-sci_load.Plo
820 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_load.c' object='libsciio_la-sci_load.lo' libtool=yes @AMDEPBACKSLASH@
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
822 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
823
824 libsciio_la-sci_unix.lo: sci_gateway/c/sci_unix.c
825 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_unix.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
826 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_unix.Tpo $(DEPDIR)/libsciio_la-sci_unix.Plo
827 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_unix.c' object='libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
829 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
830
831 libsciio_la-sci_save.lo: sci_gateway/c/sci_save.c
832 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_save.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_save.Tpo -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
833 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_save.Tpo $(DEPDIR)/libsciio_la-sci_save.Plo
834 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_save.c' object='libsciio_la-sci_save.lo' libtool=yes @AMDEPBACKSLASH@
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
837
838 .f.o:
839         $(F77COMPILE) -c -o $@ $<
840
841 .f.obj:
842         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
843
844 .f.lo:
845         $(LTF77COMPILE) -c -o $@ $<
846
847 v2unit.lo: src/fortran/v2unit.f
848         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2unit.lo `test -f 'src/fortran/v2unit.f' || echo '$(srcdir)/'`src/fortran/v2unit.f
849
850 newsave.lo: src/fortran/newsave.f
851         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o newsave.lo `test -f 'src/fortran/newsave.f' || echo '$(srcdir)/'`src/fortran/newsave.f
852
853 v2cunit.lo: src/fortran/v2cunit.f
854         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2cunit.lo `test -f 'src/fortran/v2cunit.f' || echo '$(srcdir)/'`src/fortran/v2cunit.f
855
856 intwrite4b.lo: sci_gateway/fortran/intwrite4b.f
857         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite4b.lo `test -f 'sci_gateway/fortran/intwrite4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite4b.f
858
859 intwritb.lo: sci_gateway/fortran/intwritb.f
860         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwritb.lo `test -f 'sci_gateway/fortran/intwritb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwritb.f
861
862 intwrite.lo: sci_gateway/fortran/intwrite.f
863         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite.lo `test -f 'sci_gateway/fortran/intwrite.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite.f
864
865 intread4b.lo: sci_gateway/fortran/intread4b.f
866         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread4b.lo `test -f 'sci_gateway/fortran/intread4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread4b.f
867
868 intread.lo: sci_gateway/fortran/intread.f
869         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread.lo `test -f 'sci_gateway/fortran/intread.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread.f
870
871 intreadb.lo: sci_gateway/fortran/intreadb.f
872         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intreadb.lo `test -f 'sci_gateway/fortran/intreadb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intreadb.f
873
874 intfile.lo: sci_gateway/fortran/intfile.f
875         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intfile.lo `test -f 'sci_gateway/fortran/intfile.f' || echo '$(srcdir)/'`sci_gateway/fortran/intfile.f
876
877 mostlyclean-libtool:
878         -rm -f *.lo
879
880 clean-libtool:
881         -rm -rf .libs _libs
882 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
883         @$(NORMAL_INSTALL)
884         test -z "$(libsciio_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)"
885         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
886         for p in $$list; do \
887           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
888           echo "$$d$$p"; \
889         done | $(am__base_list) | \
890         while read files; do \
891           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
892           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
893         done
894
895 uninstall-libsciio_la_etcDATA:
896         @$(NORMAL_UNINSTALL)
897         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
898         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
899         test -n "$$files" || exit 0; \
900         echo " ( cd '$(DESTDIR)$(libsciio_la_etcdir)' && rm -f" $$files ")"; \
901         cd "$(DESTDIR)$(libsciio_la_etcdir)" && rm -f $$files
902 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
903         @$(NORMAL_INSTALL)
904         test -z "$(libsciio_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)"
905         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
906         for p in $$list; do \
907           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
908           echo "$$d$$p"; \
909         done | $(am__base_list) | \
910         while read files; do \
911           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
912           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
913         done
914
915 uninstall-libsciio_la_rootDATA:
916         @$(NORMAL_UNINSTALL)
917         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
918         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
919         test -n "$$files" || exit 0; \
920         echo " ( cd '$(DESTDIR)$(libsciio_la_rootdir)' && rm -f" $$files ")"; \
921         cd "$(DESTDIR)$(libsciio_la_rootdir)" && rm -f $$files
922 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
923         @$(NORMAL_INSTALL)
924         test -z "$(libsciio_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
925         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
926         for p in $$list; do \
927           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
928           echo "$$d$$p"; \
929         done | $(am__base_list) | \
930         while read files; do \
931           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
932           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
933         done
934
935 uninstall-libsciio_la_sci_gatewayDATA:
936         @$(NORMAL_UNINSTALL)
937         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
938         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
939         test -n "$$files" || exit 0; \
940         echo " ( cd '$(DESTDIR)$(libsciio_la_sci_gatewaydir)' && rm -f" $$files ")"; \
941         cd "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" && rm -f $$files
942
943 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
944         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
945         unique=`for i in $$list; do \
946             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
947           done | \
948           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
949               END { if (nonempty) { for (i in files) print i; }; }'`; \
950         mkid -fID $$unique
951 tags: TAGS
952
953 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
954                 $(TAGS_FILES) $(LISP)
955         set x; \
956         here=`pwd`; \
957         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
958         unique=`for i in $$list; do \
959             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
960           done | \
961           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
962               END { if (nonempty) { for (i in files) print i; }; }'`; \
963         shift; \
964         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
965           test -n "$$unique" || unique=$$empty_fix; \
966           if test $$# -gt 0; then \
967             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
968               "$$@" $$unique; \
969           else \
970             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
971               $$unique; \
972           fi; \
973         fi
974 ctags: CTAGS
975 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
976                 $(TAGS_FILES) $(LISP)
977         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
978         unique=`for i in $$list; do \
979             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
980           done | \
981           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
982               END { if (nonempty) { for (i in files) print i; }; }'`; \
983         test -z "$(CTAGS_ARGS)$$unique" \
984           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
985              $$unique
986
987 GTAGS:
988         here=`$(am__cd) $(top_builddir) && pwd` \
989           && $(am__cd) $(top_srcdir) \
990           && gtags -i $(GTAGS_ARGS) "$$here"
991
992 distclean-tags:
993         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
994
995 distdir: $(DISTFILES)
996         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
997         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
998         list='$(DISTFILES)'; \
999           dist_files=`for file in $$list; do echo $$file; done | \
1000           sed -e "s|^$$srcdirstrip/||;t" \
1001               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1002         case $$dist_files in \
1003           */*) $(MKDIR_P) `echo "$$dist_files" | \
1004                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1005                            sort -u` ;; \
1006         esac; \
1007         for file in $$dist_files; do \
1008           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1009           if test -d $$d/$$file; then \
1010             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1011             if test -d "$(distdir)/$$file"; then \
1012               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1013             fi; \
1014             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1015               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1016               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1017             fi; \
1018             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1019           else \
1020             test -f "$(distdir)/$$file" \
1021             || cp -p $$d/$$file "$(distdir)/$$file" \
1022             || exit 1; \
1023           fi; \
1024         done
1025 check-am: all-am
1026         $(MAKE) $(AM_MAKEFLAGS) check-local
1027 check: check-am
1028 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1029 installdirs:
1030         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1031           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1032         done
1033 install: install-am
1034 install-exec: install-exec-am
1035 install-data: install-data-am
1036 uninstall: uninstall-am
1037
1038 install-am: all-am
1039         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1040
1041 installcheck: installcheck-am
1042 install-strip:
1043         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1044           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1045           `test -z '$(STRIP)' || \
1046             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1047 mostlyclean-generic:
1048
1049 clean-generic:
1050
1051 distclean-generic:
1052         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1053         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1054
1055 maintainer-clean-generic:
1056         @echo "This command is intended for maintainers to use"
1057         @echo "it deletes files that may require special tools to rebuild."
1058 clean: clean-am
1059
1060 clean-am: clean-generic clean-libtool clean-local \
1061         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1062
1063 distclean: distclean-am
1064         -rm -rf ./$(DEPDIR)
1065         -rm -f Makefile
1066 distclean-am: clean-am distclean-compile distclean-generic \
1067         distclean-local distclean-tags
1068
1069 dvi: dvi-am
1070
1071 dvi-am:
1072
1073 html: html-am
1074
1075 html-am:
1076
1077 info: info-am
1078
1079 info-am:
1080
1081 install-data-am: install-data-local install-libsciio_la_etcDATA \
1082         install-libsciio_la_rootDATA \
1083         install-libsciio_la_sci_gatewayDATA
1084
1085 install-dvi: install-dvi-am
1086
1087 install-dvi-am:
1088
1089 install-exec-am: install-pkglibLTLIBRARIES
1090
1091 install-html: install-html-am
1092
1093 install-html-am: install-html-local
1094
1095 install-info: install-info-am
1096
1097 install-info-am:
1098
1099 install-man:
1100
1101 install-pdf: install-pdf-am
1102
1103 install-pdf-am:
1104
1105 install-ps: install-ps-am
1106
1107 install-ps-am:
1108
1109 installcheck-am:
1110
1111 maintainer-clean: maintainer-clean-am
1112         -rm -rf ./$(DEPDIR)
1113         -rm -f Makefile
1114 maintainer-clean-am: distclean-am maintainer-clean-generic
1115
1116 mostlyclean: mostlyclean-am
1117
1118 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1119         mostlyclean-libtool
1120
1121 pdf: pdf-am
1122
1123 pdf-am:
1124
1125 ps: ps-am
1126
1127 ps-am:
1128
1129 uninstall-am: uninstall-libsciio_la_etcDATA \
1130         uninstall-libsciio_la_rootDATA \
1131         uninstall-libsciio_la_sci_gatewayDATA \
1132         uninstall-pkglibLTLIBRARIES
1133
1134 .MAKE: check-am install-am install-strip
1135
1136 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1137         clean clean-generic clean-libtool clean-local \
1138         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1139         distclean distclean-compile distclean-generic \
1140         distclean-libtool distclean-local distclean-tags distdir dvi \
1141         dvi-am html html-am info info-am install install-am \
1142         install-data install-data-am install-data-local install-dvi \
1143         install-dvi-am install-exec install-exec-am install-html \
1144         install-html-am install-html-local install-info \
1145         install-info-am install-libsciio_la_etcDATA \
1146         install-libsciio_la_rootDATA \
1147         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1148         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1149         install-ps-am install-strip installcheck installcheck-am \
1150         installdirs maintainer-clean maintainer-clean-generic \
1151         mostlyclean mostlyclean-compile mostlyclean-generic \
1152         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1153         uninstall-am uninstall-libsciio_la_etcDATA \
1154         uninstall-libsciio_la_rootDATA \
1155         uninstall-libsciio_la_sci_gatewayDATA \
1156         uninstall-pkglibLTLIBRARIES
1157
1158
1159 # This target enables tests for Scilab
1160 check-local: $(top_builddir)/scilab-bin test
1161         @COMMAND="test_run('$(modulename)');quit";\
1162         export LANG=C;\
1163         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1164 check-code:
1165         if test -f build.xml; then \
1166                 $(ANT) checkstyle; \
1167         fi
1168         if test -x "$(SPLINT)"; then \
1169                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1170         fi
1171 @NEED_JAVA_TRUE@java:
1172 # Some configurations needs to export JAVA_HOME in the current env
1173 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1174 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1175 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1176 @NEED_JAVA_TRUE@                $(ANT); \
1177 @NEED_JAVA_TRUE@        fi
1178
1179 @NEED_JAVA_TRUE@clean-java:
1180 # Some configurations needs to export JAVA_HOME in the current env
1181 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1182 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1183 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1184 @NEED_JAVA_TRUE@                $(ANT) clean; \
1185 @NEED_JAVA_TRUE@        fi;
1186
1187 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1188 # We call the target swig-build on the variable SWIG_WRAPPERS
1189
1190 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1191 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1192 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1193 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1194 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1195 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1196 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1197 @SWIG_TRUE@             done; \
1198 @SWIG_TRUE@     fi
1199
1200 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1201 # We call the target swig-build on the variable SWIG_WRAPPERS
1202
1203 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1204 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1205 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1206 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1207 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1208 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1209 @GIWS_TRUE@             done; \
1210 @GIWS_TRUE@     fi
1211
1212 @GIWS_TRUE@giws-exception:
1213 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1214 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1215 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1216
1217 macros:
1218         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1219                 echo "Error : Cannot build $< : Scilab has not been built"; \
1220         else \
1221                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1222         fi)
1223
1224 # Removes the macros
1225 clean-macros:
1226 # Removes macros (*.bin generated from .sci)
1227         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1228                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1229                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1230         done
1231
1232 test:
1233 # More tests could be added here
1234         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1235         if test -f build.xml -a $$USEANT -eq 1; then \
1236                 $(ANT) test; \
1237         fi
1238
1239 all-local: $(TARGETS_ALL)
1240
1241 .sci.bin:
1242         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1243         echo "Error : Cannot build $< : Scilab has not been build"; \
1244         else \
1245         echo "Creating $@"; \
1246         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1247         fi )
1248
1249 install-html-local:
1250
1251 install-data-local-local:
1252 # Mainly for javasci
1253         @if test -d $(srcdir)/javadoc; then \
1254                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1255         fi
1256 # If the user wants the help sources to be installed
1257 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1258 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1259 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1260 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1261 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1262 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1263 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1264 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1265 @INSTALL_HELP_XML_TRUE@           done ; \
1266 @INSTALL_HELP_XML_TRUE@         fi; \
1267 @INSTALL_HELP_XML_TRUE@  fi; \
1268 @INSTALL_HELP_XML_TRUE@ done; \
1269 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1270 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1271 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1272 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1273 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1274 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1275 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1276 @INSTALL_HELP_XML_TRUE@           done ; \
1277 @INSTALL_HELP_XML_TRUE@         fi; \
1278 @INSTALL_HELP_XML_TRUE@ fi
1279 install-data-local:
1280 # Install the tests
1281         @echo "-------- Install tests (if any) --------"; \
1282         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1283           if test -d $(srcdir)/$$dir/; then \
1284             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1285                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1286                     if test -d "$(srcdir)/$$dir/$$file"; then \
1287                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1288                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1289                     else \
1290                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1291                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1292                     fi \
1293                   done; \
1294           fi; \
1295         done
1296 # Install the help chapter
1297         @echo "-------- Install the help chapter (if any) --------"; \
1298         for lang in $(HELP_CHAPTERLANG); do \
1299                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1300                 if test -f $$HELPFILE; then \
1301                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1302                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1303                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1304                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1305                 fi; \
1306         done
1307 # Install the demos & examples
1308         @echo "-------- Install demos & examples (if any) --------"; \
1309         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1310           if test -d $(srcdir)/$$dir/; then \
1311             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1312                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1313                     if test -d "$(srcdir)/$$dir/$$file"; then \
1314                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1315                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1316                     else \
1317                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1318                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1319                     fi \
1320                   done; \
1321           fi; \
1322         done
1323 # Install the macros
1324         @echo "-------- Install macros (if any) --------"; \
1325         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1326           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1327                 if test -d $(srcdir)/$$dir/; then \
1328                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1329                         if test -n "$(MACROSSPECIALEXT)"; then \
1330                                 specialExtDir=""; \
1331                                 for specialExt in $(MACROSSPECIALEXT); do \
1332                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1333                                 done; \
1334                                 FILELIST="$$FILELIST $$specialExtDir"; \
1335                         fi; \
1336                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1337                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1338                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1339                   done; \
1340                 fi; \
1341         done
1342 # Install java files (.jar)
1343         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1344         echo "-------- Install jar files --------"; \
1345     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1346           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1347                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1348                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1349           done ; \
1350         fi
1351
1352 ########### CLEAN ###################
1353 # Clean help (generated automatically by Scilab)
1354 # It used to clean the macro (clean-macros) but this was causing
1355 # make clean && make to fail Scilab startup
1356 @NEED_JAVA_TRUE@clean-local: clean-java
1357 @NEED_JAVA_FALSE@clean-local:
1358
1359 distclean-local:
1360         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1361
1362 .PHONY: macros java swig giws
1363
1364 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1365 # Otherwise a system limit (for SysV at least) may be exceeded.
1366 .NOEXPORT: